> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/history/bulk/updates

> **Under Development, do not use in production yet** Get download URLs and metadata for update history objects available for bulk download, between two record times.
Note that the returned objects may include also updates outside of the requested record time range (since only full objects are served from storage), but guaranteed
to include all updates in the requested range.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/history/bulk/updates
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/history/bulk/updates:
    post:
      tags:
        - pre-alpha
        - scan
      summary: POST /v0/history/bulk/updates
      description: >
        **Under Development, do not use in production yet** Get download URLs
        and metadata for update history objects available for bulk download,
        between two record times.

        Note that the returned objects may include also updates outside of the
        requested record time range (since only full objects are served from
        storage), but guaranteed

        to include all updates in the requested range.
      operationId: listBulkUpdateHistoryObjects
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListBulkUpdateHistoryObjectsRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBulkUpdateHistoryObjectsResponse'
        '400':
          $ref: '#/components/responses/404'
        '404':
          $ref: '#/components/responses/404'
        '501':
          $ref: '#/components/responses/501'
components:
  schemas:
    ListBulkUpdateHistoryObjectsRequest:
      type: object
      required:
        - start_record_time
        - end_record_time
        - page_size
      properties:
        start_record_time:
          description: >
            The returned objects must include all updates with record time
            greater than start_record_time (but may also include updates before
            it).
          type: string
          format: date-time
        end_record_time:
          description: >
            The returned objects must include all updates with record time at
            most end_record_time (but may also include updates after it).
          type: string
          format: date-time
        next_page_token:
          type: string
          description: >
            The pagination token returned from a previous call to this endpoint
            with the same arguments.
        page_size:
          description: |
            The maximum number of objects returned for this request.
          type: integer
          format: int32
          minimum: 1
          maximum: 1000
    ListBulkUpdateHistoryObjectsResponse:
      type: object
      required:
        - object_refs
      properties:
        object_refs:
          description: >
            The list of references to the bulk storage objects containing the
            updates.
          type: array
          items:
            $ref: '#/components/schemas/BulkStorageObjectRef'
        next_page_token:
          type: string
          description: |
            When requesting the next page of results, pass this as `after`
            to the next `ListBulkUpdateHistoryObjectsRequest` invocation.
            Will be absent when there are no more pages.
    BulkStorageObjectRef:
      type: object
      required:
        - url
        - digest
      properties:
        url:
          description: |
            The URL from which the bulk storage object can be downloaded.
          type: string
        digest:
          description: >
            The sha256 digest of the bulk storage object, for verification of
            integrity and consistency across SVs.
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '501':
      description: not implemented
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````